Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/src/main.cpp	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/src/main.cpp	(revision 117)
@@ -8,5 +8,5 @@
 #include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/include/test.h"
 
-#define NB_PARAMS 18
+#define NB_PARAMS 17
 
 void usage (int argc, char * argv[])
@@ -27,5 +27,4 @@
   err (_(" * size_store_queue_ptr                                  (uint32_t             )\n"));
   err (_(" * size_load_queue_ptr                                   (uint32_t             )\n"));
-  err (_(" * nb_inst_issue                                         (uint32_t             )\n"));
   err (_(" * nb_inst_rename        [nb_rename_unit]                (uint32_t             )\n"));
   err (_(" * nb_inst_reexecute                                     (uint32_t             )\n"));
@@ -33,18 +32,18 @@
   err (_(" * priority                                              (Tpriority_t          )\n"));
   err (_(" * load_balancing                                        (Tload_balancing_t    )\n"));
-  err (_(" * table_routing         [nb_rename_unit][nb_inst_issue] (bool                 )\n"));
-  err (_(" * table_routing         [nb_inst_issue][nb_type]        (bool                 )\n"));
-  err (_("   * TYPE_ALU    \n"));
-  err (_("   * TYPE_SHIFT  \n"));
-  err (_("   * TYPE_MOVE   \n"));
-  err (_("   * TYPE_TEST   \n"));
-  err (_("   * TYPE_MUL    \n"));
-  err (_("   * TYPE_DIV    \n"));
-  err (_("   * TYPE_EXTEND \n"));
-  err (_("   * TYPE_FIND   \n"));
-  err (_("   * TYPE_SPECIAL\n"));
-  err (_("   * TYPE_CUSTOM \n"));
-  err (_("   * TYPE_BRANCH \n"));
-  err (_("   * TYPE_MEMORY \n"));
+//   err (_(" * table_routing         [nb_rename_unit][nb_inst_issue] (bool                 )\n"));
+//   err (_(" * table_issue_type      [nb_inst_issue][nb_type]        (bool                 )\n"));
+//   err (_("   * TYPE_ALU    \n"));
+//   err (_("   * TYPE_SHIFT  \n"));
+//   err (_("   * TYPE_MOVE   \n"));
+//   err (_("   * TYPE_TEST   \n"));
+//   err (_("   * TYPE_MUL    \n"));
+//   err (_("   * TYPE_DIV    \n"));
+//   err (_("   * TYPE_EXTEND \n"));
+//   err (_("   * TYPE_FIND   \n"));
+//   err (_("   * TYPE_SPECIAL\n"));
+//   err (_("   * TYPE_CUSTOM \n"));
+//   err (_("   * TYPE_BRANCH \n"));
+//   err (_("   * TYPE_MEMORY \n"));
 
   exit (1);
@@ -68,5 +67,5 @@
   uint32_t          _nb_rename_unit         = fromString<uint32_t         >(argv[x++]);
 
-  if (argc <= static_cast<int>(2+NB_PARAMS+_nb_rename_unit))
+  if (argc != static_cast<int>(2+NB_PARAMS+_nb_rename_unit))
     usage (argc, argv);
 
@@ -81,5 +80,5 @@
   uint32_t          _size_store_queue_ptr   = fromString<uint32_t         >(argv[x++]);
   uint32_t          _size_load_queue_ptr    = fromString<uint32_t         >(argv[x++]);
-  uint32_t          _nb_inst_issue          = fromString<uint32_t         >(argv[x++]);
+//uint32_t          _nb_inst_issue          = fromString<uint32_t         >(argv[x++]);
   uint32_t        * _nb_inst_rename         = new uint32_t [_nb_rename_unit];
   for (uint32_t i=0; i<_nb_rename_unit; i++)
@@ -90,33 +89,33 @@
   Tload_balancing_t _load_balancing         = fromString<Tload_balancing_t>(argv[x++]);
 
-  if (argc != static_cast<int>(2+NB_PARAMS+_nb_rename_unit+(_nb_rename_unit+12)*_nb_inst_issue))
-    usage (argc, argv);
+//   if (argc != static_cast<int>(2+NB_PARAMS+_nb_rename_unit+(_nb_rename_unit+12)*_nb_inst_issue))
+//     usage (argc, argv);
 
-  bool           ** _table_routing          = new bool * [_nb_rename_unit];
-  for (uint32_t i=0; i<_nb_rename_unit; i++)
-    {
-      _table_routing [i] = new bool [_nb_inst_issue];
-      for (uint32_t j=0; j<_nb_inst_issue; j++)
-	_table_routing [i][j] = fromString<bool>(argv[x++]);
-    }
+//   bool           ** _table_routing          = new bool * [_nb_rename_unit];
+//   for (uint32_t i=0; i<_nb_rename_unit; i++)
+//     {
+//       _table_routing [i] = new bool [_nb_inst_issue];
+//       for (uint32_t j=0; j<_nb_inst_issue; j++)
+// 	_table_routing [i][j] = fromString<bool>(argv[x++]);
+//     }
 
-  bool           ** _table_issue_type          = new bool * [_nb_inst_issue];
-  for (uint32_t i=0; i<_nb_inst_issue; i++)
-    {
-      _table_issue_type [i] = new bool [_nb_inst_issue];
+//   bool           ** _table_issue_type          = new bool * [_nb_inst_issue];
+//   for (uint32_t i=0; i<_nb_inst_issue; i++)
+//     {
+//       _table_issue_type [i] = new bool [_nb_inst_issue];
 
-      _table_issue_type [i][TYPE_ALU    ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_SHIFT  ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_MOVE   ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_TEST   ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_MUL    ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_DIV    ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_EXTEND ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_FIND   ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_SPECIAL] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_CUSTOM ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_BRANCH ] = fromString<bool>(argv[x++]);
-      _table_issue_type [i][TYPE_MEMORY ] = fromString<bool>(argv[x++]);
-    }
+//       _table_issue_type [i][TYPE_ALU    ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_SHIFT  ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_MOVE   ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_TEST   ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_MUL    ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_DIV    ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_EXTEND ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_FIND   ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_SPECIAL] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_CUSTOM ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_BRANCH ] = fromString<bool>(argv[x++]);
+//       _table_issue_type [i][TYPE_MEMORY ] = fromString<bool>(argv[x++]);
+//     }
 
   int _return = EXIT_SUCCESS;
@@ -137,5 +136,5 @@
 	 _size_store_queue_ptr  ,
 	 _size_load_queue_ptr   ,
-	 _nb_inst_issue         ,
+// 	 _nb_inst_issue         ,
 	 _nb_inst_rename        ,
 	 _nb_inst_reexecute     ,
@@ -143,6 +142,6 @@
 	 _priority              ,
 	 _load_balancing        ,
-	 _table_routing         ,
-	 _table_issue_type      ,
+// 	 _table_routing         ,
+// 	 _table_issue_type      ,
          true // is_toplevel
          );
@@ -173,10 +172,10 @@
   delete [] _nb_inst_rename;
 
-  for (uint32_t i=0; i<_nb_rename_unit; i++)
-    delete [] _table_routing [i];
-  delete [] _table_routing   ;
-  for (uint32_t i=0; i<_nb_inst_issue; i++)
-    delete [] _table_issue_type [i];
-  delete [] _table_issue_type;
+//   for (uint32_t i=0; i<_nb_rename_unit; i++)
+//     delete [] _table_routing [i];
+//   delete [] _table_routing   ;
+//   for (uint32_t i=0; i<_nb_inst_issue; i++)
+//     delete [] _table_issue_type [i];
+//   delete [] _table_issue_type;
 
   return (_return);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/src/test.cpp	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/src/test.cpp	(revision 117)
@@ -48,4 +48,68 @@
   sc_clock              *  in_CLOCK  = new sc_clock ("clock", 1.0, 0.5);	 
   sc_signal<Tcontrol_t> *  in_NRESET = new sc_signal<Tcontrol_t> ("NRESET");
+
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_VAL                   ;
+  sc_signal<Tcontrol_t        > *** out_ISSUE_IN_ACK                   ;
+  sc_signal<Tcontext_t        > ***  in_ISSUE_IN_CONTEXT_ID            ;
+  sc_signal<Tcontext_t        > ***  in_ISSUE_IN_FRONT_END_ID          ;
+  sc_signal<Tpacket_t         > ***  in_ISSUE_IN_PACKET_ID             ;
+  sc_signal<Toperation_t      > ***  in_ISSUE_IN_OPERATION             ;
+  sc_signal<Ttype_t           > ***  in_ISSUE_IN_TYPE                  ;
+  sc_signal<Tlsq_ptr_t        > ***  in_ISSUE_IN_STORE_QUEUE_PTR_WRITE ;
+  sc_signal<Tlsq_ptr_t        > ***  in_ISSUE_IN_LOAD_QUEUE_PTR_WRITE  ;
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_HAS_IMMEDIAT          ;
+  sc_signal<Tgeneral_data_t   > ***  in_ISSUE_IN_IMMEDIAT              ;
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_READ_RA               ;
+  sc_signal<Tgeneral_address_t> ***  in_ISSUE_IN_NUM_REG_RA            ;
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_READ_RB               ;
+  sc_signal<Tgeneral_address_t> ***  in_ISSUE_IN_NUM_REG_RB            ;
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_READ_RC               ;
+  sc_signal<Tspecial_address_t> ***  in_ISSUE_IN_NUM_REG_RC            ;
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_WRITE_RD              ;
+  sc_signal<Tgeneral_address_t> ***  in_ISSUE_IN_NUM_REG_RD            ;
+  sc_signal<Tcontrol_t        > ***  in_ISSUE_IN_WRITE_RE              ;
+  sc_signal<Tspecial_address_t> ***  in_ISSUE_IN_NUM_REG_RE            ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_VAL                  ;
+  sc_signal<Tcontrol_t        >  ** out_REEXECUTE_ACK                  ;
+  sc_signal<Tcontext_t        >  **  in_REEXECUTE_CONTEXT_ID           ;
+  sc_signal<Tcontext_t        >  **  in_REEXECUTE_FRONT_END_ID         ;
+  sc_signal<Tpacket_t         >  **  in_REEXECUTE_PACKET_ID            ;
+  sc_signal<Toperation_t      >  **  in_REEXECUTE_OPERATION            ;
+  sc_signal<Ttype_t           >  **  in_REEXECUTE_TYPE                 ;
+  sc_signal<Tlsq_ptr_t        >  **  in_REEXECUTE_STORE_QUEUE_PTR_WRITE;
+  sc_signal<Tlsq_ptr_t        >  **  in_REEXECUTE_LOAD_QUEUE_PTR_WRITE ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_HAS_IMMEDIAT         ;
+  sc_signal<Tgeneral_data_t   >  **  in_REEXECUTE_IMMEDIAT             ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_READ_RA              ;
+  sc_signal<Tgeneral_address_t>  **  in_REEXECUTE_NUM_REG_RA           ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_READ_RB              ;
+  sc_signal<Tgeneral_address_t>  **  in_REEXECUTE_NUM_REG_RB           ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_READ_RC              ;
+  sc_signal<Tspecial_address_t>  **  in_REEXECUTE_NUM_REG_RC           ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_WRITE_RD             ;
+  sc_signal<Tgeneral_address_t>  **  in_REEXECUTE_NUM_REG_RD           ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_WRITE_RE             ;
+  sc_signal<Tspecial_address_t>  **  in_REEXECUTE_NUM_REG_RE           ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_VAL                  ;
+  sc_signal<Tcontrol_t        >  **  in_ISSUE_OUT_ACK                  ;
+  sc_signal<Tcontext_t        >  ** out_ISSUE_OUT_CONTEXT_ID           ;
+  sc_signal<Tcontext_t        >  ** out_ISSUE_OUT_FRONT_END_ID         ;
+  sc_signal<Tpacket_t         >  ** out_ISSUE_OUT_PACKET_ID            ;
+  sc_signal<Toperation_t      >  ** out_ISSUE_OUT_OPERATION            ;
+  sc_signal<Ttype_t           >  ** out_ISSUE_OUT_TYPE                 ;
+  sc_signal<Tlsq_ptr_t        >  ** out_ISSUE_OUT_STORE_QUEUE_PTR_WRITE;
+  sc_signal<Tlsq_ptr_t        >  ** out_ISSUE_OUT_LOAD_QUEUE_PTR_WRITE ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_HAS_IMMEDIAT         ;
+  sc_signal<Tgeneral_data_t   >  ** out_ISSUE_OUT_IMMEDIAT             ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_READ_RA              ;
+  sc_signal<Tgeneral_address_t>  ** out_ISSUE_OUT_NUM_REG_RA           ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_READ_RB              ;
+  sc_signal<Tgeneral_address_t>  ** out_ISSUE_OUT_NUM_REG_RB           ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_READ_RC              ;
+  sc_signal<Tspecial_address_t>  ** out_ISSUE_OUT_NUM_REG_RC           ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_WRITE_RD             ;
+  sc_signal<Tgeneral_address_t>  ** out_ISSUE_OUT_NUM_REG_RD           ;
+  sc_signal<Tcontrol_t        >  ** out_ISSUE_OUT_WRITE_RE             ;
+  sc_signal<Tspecial_address_t>  ** out_ISSUE_OUT_NUM_REG_RE           ;
 
   ALLOC2_SC_SIGNAL( in_ISSUE_IN_VAL                   ," in_ISSUE_IN_VAL                   ",Tcontrol_t        ,_param->_nb_rename_unit,_param->_nb_inst_rename[it1]);
@@ -309,5 +373,5 @@
 	    Ttype_t type = out_ISSUE_OUT_TYPE[i]->read();
 	    TEST(Ttype_t,type, tab_type[imm%NB_TYPE]);
-	    TEST(bool   ,_param->_table_issue_type[i][type],true);
+// 	    TEST(bool   ,_param->_table_issue_type[i][type],true);
 	  }
 
